Bug 558014 - [abrt] crash in gnote-0.6.2-1.fc12
Summary: [abrt] crash in gnote-0.6.2-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnote
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:32ab13d04208f0c9ac9213bcda2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-23 06:02 UTC by BugRocks
Modified: 2010-04-03 04:41 UTC (History)
3 users (show)

Fixed In Version: gnote-0.6.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-03 04:41:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2010-01-23 06:02 UTC, BugRocks
no flags Details

Description BugRocks 2010-01-23 06:02:56 UTC
abrt 1.0.3 detected a crash.

How to reproduce
-----
1. Don't know
2.
3.

Comment: Have no idea how it happened, sorry folks.

backtrace
-----
Cannot access memory at address 0xe5a1

Thread 1 (Thread 1936):
#0  0x081251f3 in gnote::NoteLinkWatcher::~NoteLinkWatcher (
    this=<value optimized out>, __in_chrg=<value optimized out>)
    at watchers.hpp:166
No locals.
#1  0x080beacf in begin (this=<value optimized out>, 
    __in_chrg=<value optimized out>)
    at /usr/include/c++/4.4.2/bits/stl_tree.h:628
No locals.
#2  begin (this=<value optimized out>, __in_chrg=<value optimized out>)
    at /usr/include/c++/4.4.2/bits/stl_map.h:307
No locals.
#3  gnote::AddinManager::~AddinManager (this=<value optimized out>, 
    __in_chrg=<value optimized out>) at addinmanager.cpp:81
No locals.
#4  0x080c3269 in gnote::NoteManager::~NoteManager (this=0x9a00078, 
    __in_chrg=<value optimized out>) at notemanager.cpp:154
No locals.
#5  0x080b0f5a in gnote::Gnote::~Gnote (this=<value optimized out>, 
    __in_chrg=<value optimized out>) at gnote.cpp:79
No locals.
#6  0x080af21f in main (argc=4, argv=0xbf88b9c4) at main.cpp:40
        kit = <incomplete type>
        app = 0x99ffa08
        retval = 0
Cannot access memory at address 0xe5a1

cmdline: /usr/bin/gnote --panel-applet --oaf-activate-iid=OAFIID:GnoteApplet_Factory --oaf-ior-fd=22
component: gnote
executable: /usr/bin/gnote
kernel: 2.6.31.5-127.fc12.i686.PAE
package: gnote-0.6.2-1.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 BugRocks 2010-01-23 06:02:58 UTC
Created attachment 386290 [details]
File: backtrace

Comment 2 Fedora Update System 2010-03-22 22:37:58 UTC
gnote-0.6.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnote-0.6.4-1.fc12

Comment 3 Fedora Update System 2010-03-23 23:20:26 UTC
gnote-0.6.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnote'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnote-0.6.4-1.fc12

Comment 4 Fedora Update System 2010-04-03 04:40:37 UTC
gnote-0.6.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.